- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-parse-value.h File Reference

`#include <sbuild/sbuild-parse-error.h>`
`#include <sbuild/sbuild-log.h>`
`#include <string>`
`#include <sstream>`

Include dependency graph for sbuild-parse-value.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | sbuild
## Typedefs
typedef parse_error< parse_value_error_code > | sbuild::parse_value_error
## Enumerations
enum | sbuild::parse_value_error_code { sbuild::BAD_VALUE }
## Functions
void | sbuild::parse_value (std::string const &value, bool &parsed_value)
| Parse a boolean value.
void | sbuild::parse_value (std::string const &value, std::string &parsed_value)
| Parse a string value.
template<typename T>
void | sbuild::parse_value (std::string const &value, T &parsed_value)
| Parse a value of type T.